package cn.report.excel.easyexcel.api.context.csv;

import cn.report.excel.easyexcel.api.context.AnalysisContextImpl;
import cn.report.excel.easyexcel.api.read.metadata.ReadWorkbook;
import cn.report.excel.easyexcel.api.read.metadata.holder.csv.CsvReadSheetHolder;
import cn.report.excel.easyexcel.api.read.metadata.holder.csv.CsvReadWorkbookHolder;
import cn.report.excel.easyexcel.api.support.ExcelTypeEnum;

/**
 * A context is the main anchorage point of a ls xls reader.
 *
 * @author Jiaju Zhuang
 */
public class DefaultCsvReadContext extends AnalysisContextImpl implements CsvReadContext {

    public DefaultCsvReadContext(ReadWorkbook readWorkbook, ExcelTypeEnum actualExcelType) {
        super(readWorkbook, actualExcelType);
    }

    @Override
    public CsvReadWorkbookHolder csvReadWorkbookHolder() {
        return (CsvReadWorkbookHolder)readWorkbookHolder();
    }

    @Override
    public CsvReadSheetHolder csvReadSheetHolder() {
        return (CsvReadSheetHolder)readSheetHolder();
    }
}
